Uploaded image for project: ' AGL Development'
  1. AGL Development
  2. SPEC-772

low-level-can-service fails to build on Porter board

    XMLWordPrintable

    Details

      Description

      Due to Porter board's old kernel it will fail to build the low-level-can-service

       

      – Include: /mnt/ssd/mranostay/porter/tmp/work/armv7vehf-neon-vfpv4-agl-linux-gnueabi/low-level-can-service/4.0+gitAUTOINC+308f83956a-r0/git/conf.d/app-templates/cmake/cmake.d/04-build_options.cmake
      – – Check gcc_minimal_version (found gcc version 6.2.0)             (found g++ version 6.2.0)
      – – Check kernel_minimal_version (found kernel version 3.10.31)
      CMake Error at conf.d/app-templates/cmake/cmake.d/04-build_options.cmake:55 (message):
        **** FATAL: Require at least 4.8 please use a recent kernel or source
        your SDK environment then clean and reconfigure your CMake project.
      Call Stack (most recent call first):
        conf.d/app-templates/cmake/common.cmake:36 (include)
        conf.d/cmake/config.cmake:148 (include)
        CMakeLists.txt:21 (include)

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            • Assignee:
              claneys Romain Forlot
              Reporter:
              mranostay Matt Ranostay
            • Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: